# libJPEG v9d sources for Casio Graph 90+E and Prizm CG10/20

Need to have a fully working gcc toolchain for SH3/SH4 architecture.

Compilation is done by using the adhoc Makefile :
`make -f Makefile.prizm` in the main directory

It should produce the library libcJPG.a

The following steps are not automatically done, so please proceed with the following manipulations :
* copy the library libcJPG.a into your SH3/SH4 compiler lib folder
* copy header files (`jpeglib.h`, `jconfig.h`, `jmorecfg.h` and `jerror.h` ) contained in the folder into the include folder of the SH3/SH4 compiler


when you compile a program for use with libJPG, do not forget to add a `-lcJPG` option in your compilator command line.

and then a `#include <jpeglib.h>` (you may also add `#include <jerror.h>`) in your C/C++ sources.

